Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# material.h File Reference

`#include <lib3ds/types.h>`

Include dependency graph for material.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
struct | _Lib3dsAutoReflMap
struct | _Lib3dsMaterial
struct | _Lib3dsTextureMap
## Typedefs
typedef enum _Lib3dsTextureMapFlags | Lib3dsTextureMapFlags
typedef _Lib3dsTextureMap | Lib3dsTextureMap
typedef enum _Lib3dsAutoReflMapFlags | Lib3dsAutoReflectionMapFlags
typedef enum _Lib3dsAutoReflMapAntiAliasLevel | Lib3dsAutoReflMapAntiAliasLevel
typedef _Lib3dsAutoReflMap | Lib3dsAutoReflMap
typedef enum _Lib3dsMaterialShading | Lib3dsMaterialShading
## Enumerations
enum | _Lib3dsTextureMapFlags { LIB3DS_DECALE = 0x0001, LIB3DS_MIRROR = 0x0002, LIB3DS_NEGATE = 0x0004, LIB3DS_NO_TILE = 0x0008, LIB3DS_SUMMED_AREA = 0x0010, LIB3DS_ALPHA_SOURCE = 0x0020, LIB3DS_TINT = 0x0040, LIB3DS_IGNORE_ALPHA = 0x0080, LIB3DS_RGB_TINT = 0x0100 }
enum | _Lib3dsAutoReflMapFlags { LIB3DS_USE_REFL_MAP = 0x0001, LIB3DS_READ_FIRST_FRAME_ONLY = 0x0004, LIB3DS_FLAT_MIRROR = 0x0008 }
enum | _Lib3dsAutoReflMapAntiAliasLevel { LIB3DS_ANTI_ALIAS_NONE = 0, LIB3DS_ANTI_ALIAS_LOW = 1, LIB3DS_ANTI_ALIAS_MEDIUM = 2, LIB3DS_ANTI_ALIAS_HIGH = 3 }
enum | _Lib3dsMaterialShading { LIB3DS_WIRE_FRAME = 0, LIB3DS_FLAT = 1, LIB3DS_GOURAUD = 2, LIB3DS_PHONG = 3, LIB3DS_METAL = 4 }
## Functions
LIB3DSAPI Lib3dsMaterial * | lib3ds_material_new ()
LIB3DSAPI void | lib3ds_material_free (Lib3dsMaterial *material)
LIB3DSAPI void | lib3ds_material_dump (Lib3dsMaterial *material)
LIB3DSAPI Lib3dsBool | lib3ds_material_read (Lib3dsMaterial *material, Lib3dsIo *io)
LIB3DSAPI Lib3dsBool | lib3ds_material_write (Lib3dsMaterial *material, Lib3dsIo *io)

## Function Documentation

LIB3DSAPI void lib3ds_material_dump | ( | Lib3dsMaterial * | material | ) |

LIB3DSAPI void lib3ds_material_free | ( | Lib3dsMaterial * | material | ) |

LIB3DSAPI Lib3dsMaterial* lib3ds_material_new | ( |  | ) |

LIB3DSAPI Lib3dsBool lib3ds_material_read | ( | Lib3dsMaterial * | material,
|  | Lib3dsIo * | io
| ) |

LIB3DSAPI Lib3dsBool lib3ds_material_write | ( | Lib3dsMaterial * | material,
|  | Lib3dsIo * | io
| ) |